<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <OutputType>WinExe</OutputType>
    <SatelliteResourceLanguages>zh-Hans</SatelliteResourceLanguages>
    <!--<TargetFramework>net472</TargetFramework>
    <OutputType>Exe</OutputType>-->
    <OutputType>WinExe</OutputType>
    <TargetFramework>net6.0-windows</TargetFramework>
    <Nullable>enable</Nullable>
    <UseWindowsForms>true</UseWindowsForms>
    <ImplicitUsings>enable</ImplicitUsings>
    <PlatformTarget>x86</PlatformTarget>
  </PropertyGroup>

  <ItemGroup>
    <None Remove="Image\benyue.png" />
    <None Remove="Image\IC-card.png" />
    <None Remove="Image\jiegua.png" />
    <None Remove="Image\loading.gif" />
    <None Remove="Image\renyuanpinci.png" />
    <None Remove="Image\shebaoqiaguashi.png" />
    <None Remove="Image\shijianshezhi.png" />
    <None Remove="Image\shujubiao-.png" />
    <None Remove="Image\shujubiao.png" />
    <None Remove="Image\suozaijigou.png" />
    <None Remove="Image\xiaohu.png" />
    <None Remove="Image\导入.png" />
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="Microsoft.Web.WebView2" Version="1.0.1370.28" />
    <PackageReference Include="System.Text.Encoding.CodePages" Version="6.0.0" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\HKHelper\HKHelper.csproj" />
    <ProjectReference Include="..\HKLib\HKLib.csproj" />
    <ProjectReference Include="..\UHFHelper\UHFHelper.csproj" />
  </ItemGroup>

  <ItemGroup>
    <Resource Include="Image\benyue.png" />
    <Resource Include="Image\IC-card.png" />
    <Resource Include="Image\jiegua.png" />
    <Resource Include="Image\loading.gif">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Resource>
    <Resource Include="Image\renyuanpinci.png" />
    <Resource Include="Image\shebaoqiaguashi.png" />
    <Resource Include="Image\shijianshezhi.png" />
    <Resource Include="Image\shujubiao-.png" />
    <Resource Include="Image\shujubiao.png" />
    <Resource Include="Image\suozaijigou.png" />
    <Resource Include="Image\xiaohu.png" />
    <Resource Include="Image\导入.png" />
  </ItemGroup>

  <ItemGroup>
    <Compile Update="Properties\Resources.Designer.cs">
      <DesignTime>True</DesignTime>
      <AutoGen>True</AutoGen>
      <DependentUpon>Resources.resx</DependentUpon>
    </Compile>
  </ItemGroup>

  <ItemGroup>
    <EmbeddedResource Update="Properties\Resources.resx">
      <Generator>ResXFileCodeGenerator</Generator>
      <LastGenOutput>Resources.Designer.cs</LastGenOutput>
    </EmbeddedResource>
  </ItemGroup>

  <ItemGroup>
    <None Update="options.pro.json">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </None>
    <None Update="options.json">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </None>
  </ItemGroup>

</Project>